//+------------------------------------------------------------------+
//|                                                         draw.mq4 |
//|                                           Copyright  2012, DKeN |
//|                                                  http://dken.ru/ |
//+------------------------------------------------------------------+
#import "draw.ex4"

void draw.delete(string obj_name); //   
void draw.table.clear(string &arr[][][],int max,int cell,int row); // 
void draw.table.set(string &content[][][],int row,int col,string text,color cText=-1,color cBack=-1);
void draw.table(        string aName,                                // 
                        string aHeader[],                            //  
                        int aColWidth[],                             //     .         110  Wingdings
                        string aContent[][][],                       //    .   - ,  - ,  
                        int row                    =  0,
                        int col                    =  0,
                        int aX                     =  5,             //      
                        int aY                     =  10,            //  Y    
                        int aRows                  =  30,            //     ( ).    aContent    ,      
                        int tTableSize             =  4,             //   1-12
                        color aHeaderBackColor     =  Navy,          //   
                        color aHeaderTextColor     =  Yellow,        //   
                        color aContentBackColor    =  Silver,        //   
                        color aContentTextColor    =  Black,         //   
                        bool aHeaderBold           =  false,         //   
                        string tFontName="Arial" );

string ColorToString(color cl);
color StrToColor(string cl);

void fObjLabel(
   string aObjectName,              // 1 
   int aX,                          // 2 
   int aY,                          // 3 
   string aText,                    // 4 
   int aCorner       =  0,          // 5    0  1
                                    //          2  3
   color aColor      =  Red,        // 6 
   int aFontSize     =  8,          // 7  
   int aWindowNumber =  0,          // 8 
   string aFont      =  "Arial",    // 9 
   bool aBack        =  false       // 10 
   );
   
//void draw.hline(string name,double price,color cl){draw.hline(name,price,Blue);} //     
bool draw.SetText(string n,string text,color cl,string fontName="Arial",int fontSize=10); //  
void draw.label(string n,string text,color cl,int &x,int &y,int xshift,int yshift,string fontName,int fontSize,int corner); // 
void draw.hline(string name,double price);
void draw.color(string name,color c);
void draw.style(string name,int s);
void draw.width(string name,int w);
void draw.price(string name,int N,double price);
void draw.time(string name,int N,datetime tm);

//new
void draw.obj.label(string name,int window);
void draw.obj.text(string name,int window);
void draw.obj.trend(string name,int window);
void draw.obj.vline(string name,int window);
void draw.obj.hline(string name,int window);
void draw.obj.rectangle(string name,int window);
void draw.setxy(string name,int x,int y);
void draw.corner(string name,int corner);
void draw.ray(string name,bool ray);
void draw.settext(string name,string text,int size,color cl);
//help://constants_wingdings/
void draw.setarrow(string name,int code,int size,color cl);